Menu icon Foundation
Foundation 5 and Compass 1.0

Hi,

after I updated my SASS (3.4) and Compass (1.0) to the latest version all my used Foundation components, except visibility, won't compile anymore.

I know Compass 1.0 was released just 3 days ago.
Is this a known issue already?

Edit: It seems to be a problem with the 'exports' mixin.

regards,
Benni

compass 1.0sass 3.4

Hi,

after I updated my SASS (3.4) and Compass (1.0) to the latest version all my used Foundation components, except visibility, won't compile anymore.

I know Compass 1.0 was released just 3 days ago.
Is this a known issue already?

Edit: It seems to be a problem with the 'exports' mixin.

regards,
Benni

Patrick Moffatt about 5 years ago

Slightly of topic, hope this is OK. I'm in Berlin and need a Foundation Developer. [email protected]

Tom Conte about 5 years ago

Same problem here after updating to Sass 3.4. @export seems broken.

Until finding a solution i removed the version 3.4 of the Sass gem:

sudo gem uninstall sass

Ben Hutchings about 5 years ago

Hi, for me rolling back to Compass 0.12.7 and SASS 3.2.9 fixed things.

gem uninstall compass 1.0.0
gem uninstall sass 3.4.0 

Brian Findlay about 5 years ago

See PR #5632 (https://github.com/zurb/foundation/pull/5632) for backwards incompatibilities in sass v3.4.0 (http://sass-lang.com/documentation/file.SASS_CHANGELOG.html).

If you make 3 minor changes to _functions.scss and _global.scss you should be able to run sass 3.4.0 and compass 1.0.0. Worked for me...

Lowell Allen about 5 years ago

My team lost a few hours on a Foundation 5.0.2 project when some of us upgraded to Sass 3.4.0 and Compass 1.0.0 (and 1.0.1). Most are back on Sass 3.2.19 and Compass 0.12.6, which compiles CSS as expected. I'll try modifications to _functions.scss and _global.scss as noted above, but can anyone say whether older versions of Sass and Compass will still work after those changes?

Noël Jackson about 5 years ago

I've found the directions over here to be helpful, allowing Compass 1.0+ to be used:
https://github.com/zurb/foundation/issues/5636

Just don't type "bower update" I suppose. This issue killed several hours for me - hope this helps someone.

Rafi Benkual about 5 years ago

We had to make some changes to the Command to create a new project and process for updating for 5.4.5/ In 5.4.4 you will not have any issues.

More info here:
http://foundation.zurb.com/docs/changelog.html

New commands if you are on Sass 3.4 and Compass 1.0 are:
Before running Compass watch, run 'bundle' **only once per project
then to compile - 'bundle exec compass watch'

This is so you dont have to downgrade Sass versions

To know what Sass version you have
Sass -v
compass -v